package net.t2code.alias.Bungee.system;

import net.md_5.bungee.api.ProxyServer;
import net.md_5.bungee.api.plugin.Plugin;
import net.t2code.alias.Bungee.Main;
import net.t2code.alias.Bungee.cmdManagement.Alias_CmdExecuter;
import net.t2code.alias.Bungee.config.config.CreateConfig;
import net.t2code.alias.Bungee.config.config.CreateExampleAliasConfig;
import net.t2code.alias.Bungee.config.config.SelectAlias;
import net.t2code.alias.Bungee.config.config.SelectConfig;
import net.t2code.alias.Bungee.config.languages.LanguagesCreate;
import net.t2code.alias.Bungee.config.languages.SelectMessages;
import net.t2code.lib.Bungee.Lib.messages.BT2CodeTemplate;
import net.t2code.lib.Bungee.Lib.update.BUpdateAPI;



import java.io.File;
import java.io.IOException;

public class Load {
    static Plugin plugin = Main.plugin;
    public static void onLoad(String prefix, String autor, String version, String spigot, int spigotID, String discord, int bstatsID) {
        Long long_ = BT2CodeTemplate.onLoadHeader(prefix,autor,version,spigot,discord);
        if (!Main.getPath().exists()) Main.getPath().mkdir();
        ProxyServer.getInstance().getPluginManager().registerCommand(Main.plugin, new Alias_CmdExecuter());
        loadReload();
        BUpdateAPI.onUpdateCheckTimer(plugin, prefix, spigot, discord, spigotID);

        BT2CodeTemplate.onLoadFooter(prefix, long_);
        Metrics metrics = new Metrics(plugin, bstatsID);
    }

    public static void loadReload() {

        if (!new File(Main.getPath(), "config.yml").exists()) {
            try {
                CreateExampleAliasConfig.configCreate();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

        try {
            CreateConfig.configCreate();
        } catch (IOException e) {
            e.printStackTrace();
        }
        try {
            LanguagesCreate.langCreate();
        } catch (IOException e) {
            e.printStackTrace();
        }
        try {
            SelectConfig.onSelect();
        } catch (IOException e) {
            e.printStackTrace();
        }
        try {
            SelectMessages.onSelect(Main.prefix);
        } catch (IOException e) {
            e.printStackTrace();
        }
        try {
            SelectAlias.onSelect();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
