package net.t2code.alias.Bungee.cmdManagement;

import net.md_5.bungee.api.CommandSender;
import net.md_5.bungee.api.connection.ProxiedPlayer;
import net.md_5.bungee.api.plugin.Plugin;
import net.t2code.alias.Bungee.Main;
import net.t2code.alias.Bungee.config.languages.SelectMessages;
import net.t2code.alias.Bungee.system.Load;
import net.t2code.lib.Bungee.Lib.messages.BT2CodeTemplate;
import net.t2code.lib.Bungee.Lib.messages.Bsend;
import net.t2code.lib.Bungee.Lib.update.BUpdateAPI;


public class Commands {
    private static Plugin plugin = Main.plugin;
    private static String prefix = Main.prefix;
    private static String autor = Main.autor;
    private static String version = Main.version;
    private static String spigot = Main.spigot;
    private static String discord = Main.discord;


    public static void info(CommandSender sender) {
        BT2CodeTemplate.sendInfo(sender,prefix,spigot,discord,autor,version, BUpdateAPI.bungeePluginVersionen.get(plugin.getDescription().getName()).publicVersion);
    }

    public static void reload(CommandSender sender) {
        if (sender instanceof ProxiedPlayer) sender.sendMessage(SelectMessages.reloadStart);
        Bsend.console(Main.prefix + "§8-------------------------------");
        Bsend.console(Main.prefix + " §6Plugin reload...");
        Bsend.console(Main.prefix + "§8-------------------------------");
        Load.loadReload();
        if (sender instanceof ProxiedPlayer) sender.sendMessage(SelectMessages.reloadEnd);
        Bsend.console(Main.prefix + "§8-------------------------------");
        Bsend.console(Main.prefix + " §2Plugin successfully reloaded.");
        Bsend.console(Main.prefix + "§8-------------------------------");
    }
}
