package net.t2code.alias.Bungee.config.config;

import net.md_5.bungee.config.Configuration;
import net.md_5.bungee.config.ConfigurationProvider;
import net.md_5.bungee.config.YamlConfiguration;
import net.t2code.alias.Bungee.Main;
import net.t2code.lib.Bungee.Lib.messages.Bsend;
import net.t2code.lib.Bungee.Lib.yamlConfiguration.BConfig;


import java.io.File;
import java.io.IOException;

public class CreateConfig {
    public static Integer ConfigVersion = 1;

    public static void configCreate() throws IOException {
        Long long_ = Long.valueOf(System.currentTimeMillis());

        File config = new File(Main.getPath(), "config.yml");
        if (!config.exists()) {
            config.createNewFile();
        }
        Configuration configuration = ConfigurationProvider.getProvider(YamlConfiguration.class).load(config);

        configuration.set("ConfigVersion", ConfigVersion);

        //BConfig.set("Plugin.UpdateCheckOnJoin", true, configuration);
        BConfig.set("Plugin.language", "english", configuration);

        ConfigurationProvider.getProvider(YamlConfiguration.class).save(configuration, config);

        Bsend.console(Main.prefix + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
    }
}
