package net.t2code.alias.Bungee.config.config;

import net.md_5.bungee.config.Configuration;
import net.md_5.bungee.config.ConfigurationProvider;
import net.md_5.bungee.config.YamlConfiguration;
import net.t2code.alias.Bungee.Main;
import net.t2code.alias.Bungee.system.AliasRegister;
import net.t2code.alias.Bungee.objects.AliasObjekt;

import java.io.File;
import java.io.IOException;

public class SelectAlias {
    public static void onSelect() throws IOException {
        Main.aliasHashMap.clear();
        Main.allAliases.clear();
        File f = new File(Main.getPath() + "/Alias/");
        File[] fileArray = f.listFiles();

        assert fileArray != null;
        for (File config_gui : fileArray) {
            Main.allAliases.add(config_gui.getName().replace(".yml", ""));
            String sub = config_gui.getName().substring(config_gui.getName().length() - 4);
            if (sub.equals(".yml")) {
                Configuration configuration = ConfigurationProvider.getProvider(YamlConfiguration.class).load(config_gui);

                AliasObjekt alias = new AliasObjekt(
                        configuration.getBoolean("Alias.Enable"),
                        configuration.getBoolean("Alias.Permission.Necessary"),

                        configuration.getBoolean("Alias.Protection.Server.Enable"),
                        configuration.getString("Alias.Protection.Server.Mode"),
                        configuration.getStringList("Alias.Protection.Server.List"),

                        configuration.getBoolean("Alias.Command.Enable"),
                        configuration.getBoolean("Alias.Command.CommandAsConsole"),
                        configuration.getStringList("Alias.Command.Commands"),

                        configuration.getBoolean("Alias.Message.Enable"),
                        configuration.getStringList("Alias.Message.Messages"),
                        configuration.getBoolean("Alias.Message.TextBuilder.Enable"),
                        configuration.getString("Alias.Message.TextBuilder.Hover"),
                        configuration.getBoolean("Alias.Message.TextBuilder.ClickEvent.Enable"),
                        configuration.getString("Alias.Message.TextBuilder.ClickEvent.Action"),
                        configuration.getString("Alias.Message.TextBuilder.ClickEvent.ActionValue"),

                        configuration.getBoolean("Alias.Admin.Enable"),
                        configuration.getString("Alias.Admin.Permission"),

                        configuration.getBoolean("Alias.Admin.Command.Enable"),
                        configuration.getBoolean("Alias.Admin.Command.CommandAsConsole"),
                        configuration.getStringList("Alias.Admin.Command.Commands"),

                        configuration.getBoolean("Alias.Admin.Message.Enable"),
                        configuration.getStringList("Alias.Admin.Message.Messages"),
                        configuration.getBoolean("Alias.Admin.Message.TextBuilder.Enable"),
                        configuration.getString("Alias.Admin.Message.TextBuilder.Hover"),
                        configuration.getBoolean("Alias.Admin.Message.TextBuilder.ClickEvent.Enable"),
                        configuration.getString("Alias.Admin.Message.TextBuilder.ClickEvent.Action"),
                        configuration.getString("Alias.Admin.Message.TextBuilder.ClickEvent.ActionValue"),

                        configuration.getBoolean("Alias.Console.Enable"),
                        configuration.getBoolean("Alias.Console.Command.Enable"),
                        configuration.getStringList("Alias.Console.Command.Commands"),
                        configuration.getBoolean("Alias.Console.Message.Enable"),
                        configuration.getStringList("Alias.Console.Message.Messages"));
                Main.aliasHashMap.put(config_gui.getName().replace(".yml", ""), alias);
                AliasRegister.onRegister();
            }
        }
    }
}
